/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include "vn-column-spin.h"

G_DEFINE_TYPE (VnColumnSpin, vn_column_spin, VN_TYPE_COLUMN);

//+++++++++++++++++++++++++++++++++++++++++++++++++++ Class

static void vn_column_spin_init (VnColumnSpin * obj)
{
	GtkCellRenderer * cell = gtk_cell_renderer_spin_new ();
	VN_COLUMN_GET_CLASS (obj)->set_renderer (VN_COLUMN (obj), cell); 
}

static void vn_column_spin_finalize (VnColumnSpin * obj)
{
	G_OBJECT_CLASS (vn_column_spin_parent_class)->finalize (G_OBJECT (obj));
}

static void vn_column_spin_class_init (VnColumnSpinClass * klass)
{
	GObjectClass * k = G_OBJECT_CLASS (klass);
	k->finalize = (GObjectFinalizeFunc) vn_column_spin_finalize;
}
